<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
XmlUtil
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.xml.config.XmlUtil class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="XmlUtil";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlUtil.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlUtil.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlUtil.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.xml.config</FONT>
<BR>
Class XmlUtil</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.xml.config.XmlUtil</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.45"><B>XmlUtil</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#checkExpectedAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, java.lang.String)">checkExpectedAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                       <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;expectedValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check whether the given element has the desired value for a specific
 attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#checkExpectedElementName(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">checkExpectedElementName</A></B>(org.dom4j.Element&nbsp;element,
                                                 <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;expected)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check whether the given element has the desired name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getChildElementByAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, ch.javasoft.xml.config.XmlNode, java.lang.String, boolean)">getChildElementByAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                               <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child,
                                                               <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;attributeValue,
                                                               boolean&nbsp;throwExceptionIfNull)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the child element of the given type which has the desired 
 attribute value in the given attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getChildElements(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getChildElements</A></B>(org.dom4j.Element&nbsp;element,
                                 <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;childType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a typed iterator for child elements of a certain type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getElementPath(org.dom4j.Element, boolean)">getElementPath</A></B>(org.dom4j.Element&nbsp;elem,
                             boolean&nbsp;recurseParents)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an xpath like string for the given xml element</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getNodePath(org.dom4j.Node, boolean)">getNodePath</A></B>(org.dom4j.Node&nbsp;node,
                       boolean&nbsp;recurseParents)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an xpath like string for the given xml node</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getOptionalAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, java.lang.String)">getOptionalAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                   <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;defaultValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired attribute value, or the given default value if no 
 such attribute exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getOptionalSingleChildElement(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getOptionalSingleChildElement</A></B>(org.dom4j.Element&nbsp;element,
                                                           <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired single child element, or throws an exception if none
 or multiple are found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getRequiredAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getRequiredAttributeValue</A></B>(org.dom4j.Element&nbsp;element,
                                                   <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired attribute value, or throws an exception no such
 attribute exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#getRequiredSingleChildElement(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">getRequiredSingleChildElement</A></B>(org.dom4j.Element&nbsp;element,
                                                           <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the desired single child element, or throws an exception if none
 or multiple are found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html#isExpectedElementName(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)">isExpectedElementName</A></B>(org.dom4j.Element&nbsp;element,
                                           <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;expected)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the given element has the desired name.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getChildElementByAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, ch.javasoft.xml.config.XmlNode, java.lang.String, boolean)"><!-- --></A><H3>
getChildElementByAttributeValue</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.73"><B>getChildElementByAttributeValue</B></A>(org.dom4j.Element&nbsp;element,
                                                                <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child,
                                                                <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                                                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;attributeValue,
                                                                boolean&nbsp;throwExceptionIfNull)
                                                         throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns the child element of the given type which has the desired 
 attribute value in the given attribute. In xpath, this would be somewhat
 like <code>/child[@attribute=$attributeValue]</code>
 <p>
 If multiple children match the criteria, an exception is thrown. If no
 child matching the criteria is found, then either <code>null</code> is
 returned (if <code>throwExceptionIfNull==false</code>), or an exception
 is thrown (otherwise).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the parent element containing the desired 
                                                                child element<DD><CODE>child</CODE> - specifies the name of the child element<DD><CODE>attribute</CODE> - specifies the name of the identifying attribute<DD><CODE>attributeValue</CODE> - the desired attribute value<DD><CODE>throwExceptionIfNull</CODE> - if <code>true</code>, an exception is thrown 
                                                                if no child matches the criteria
<DT><B>Returns:</B><DD>the desired child element, or 
                                                                <code>null</code> if 
                                                                <code>throwExceptionIfNull==false</code> and
                                                                no child element matched the criteria
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - If multiple matches occur, or if no match
                                                                was found and exception throwing is desired
                                                                for this case (see <code>throwExceptionIfNull</code>)</DL>
</DD>
</DL>
<HR>

<A NAME="getChildElements(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)"><!-- --></A><H3>
getChildElements</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;org.dom4j.Element&gt; <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.105"><B>getChildElements</B></A>(org.dom4j.Element&nbsp;element,
                                                           <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;childType)
                                                    throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns a typed iterator for child elements of a certain type
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - parent of which certain child elements are desired<DD><CODE>childType</CODE> - node defining the name of the desired child elements
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getRequiredSingleChildElement(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)"><!-- --></A><H3>
getRequiredSingleChildElement</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.119"><B>getRequiredSingleChildElement</B></A>(org.dom4j.Element&nbsp;element,
                                                              <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child)
                                                       throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns the desired single child element, or throws an exception if none
 or multiple are found.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the parent of the desired child<DD><CODE>child</CODE> - specifies the desired child element name
<DT><B>Returns:</B><DD>the child element
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if no or multiple children match the 
                                                                criteria</DL>
</DD>
</DL>
<HR>

<A NAME="getOptionalSingleChildElement(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)"><!-- --></A><H3>
getOptionalSingleChildElement</H3>
<PRE>
public static org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.136"><B>getOptionalSingleChildElement</B></A>(org.dom4j.Element&nbsp;element,
                                                              <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;child)
                                                       throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns the desired single child element, or throws an exception if none
 or multiple are found.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the parent of the desired child<DD><CODE>child</CODE> - specifies the desired child element name
<DT><B>Returns:</B><DD>the child element
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if no or multiple children match the 
                                                                criteria</DL>
</DD>
</DL>
<HR>

<A NAME="getRequiredAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)"><!-- --></A><H3>
getRequiredAttributeValue</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.157"><B>getRequiredAttributeValue</B></A>(org.dom4j.Element&nbsp;element,
                                               <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute)
                                        throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns the desired attribute value, or throws an exception no such
 attribute exists.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the element to get the attribute value from<DD><CODE>attribute</CODE> - specifies the desired attribute name
<DT><B>Returns:</B><DD>the attribute value
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if no such attribute value is defined</DL>
</DD>
</DL>
<HR>

<A NAME="getOptionalAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, java.lang.String)"><!-- --></A><H3>
getOptionalAttributeValue</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.175"><B>getOptionalAttributeValue</B></A>(org.dom4j.Element&nbsp;element,
                                               <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;defaultValue)
                                        throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns the desired attribute value, or the given default value if no 
 such attribute exists.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the element to get the attribute value from<DD><CODE>attribute</CODE> - specifies the desired attribute name<DD><CODE>defaultValue</CODE> - the default value to use if no such 
                                                                attribute exists
<DT><B>Returns:</B><DD>the attribute value, or the default if no
                                                                such attribute exists
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="checkExpectedElementName(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)"><!-- --></A><H3>
checkExpectedElementName</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.191"><B>checkExpectedElementName</B></A>(org.dom4j.Element&nbsp;element,
                                            <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;expected)
                                     throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Check whether the given element has the desired name. Throws an exception
 otherwise.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the element to check<DD><CODE>expected</CODE> - specifies the expected element name
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if the check fails</DL>
</DD>
</DL>
<HR>

<A NAME="isExpectedElementName(org.dom4j.Element, ch.javasoft.xml.config.XmlNode)"><!-- --></A><H3>
isExpectedElementName</H3>
<PRE>
public static boolean <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.203"><B>isExpectedElementName</B></A>(org.dom4j.Element&nbsp;element,
                                            <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;expected)</PRE>
<DL>
<DD>Returns true if the given element has the desired name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the element to check<DD><CODE>expected</CODE> - specifies the expected element name
<DT><B>Returns:</B><DD>true if the check is successful</DL>
</DD>
</DL>
<HR>

<A NAME="checkExpectedAttributeValue(org.dom4j.Element, ch.javasoft.xml.config.XmlNode, java.lang.String)"><!-- --></A><H3>
checkExpectedAttributeValue</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.216"><B>checkExpectedAttributeValue</B></A>(org.dom4j.Element&nbsp;element,
                                               <A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config">XmlNode</A>&nbsp;attribute,
                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;expectedValue)
                                        throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Check whether the given element has the desired value for a specific
 attribute. Throws an exception otherwise.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>element</CODE> - the element to check<DD><CODE>attribute</CODE> - specifies the attribute name<DD><CODE>expectedValue</CODE> - the desired attribute value
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if the check fails</DL>
</DD>
</DL>
<HR>

<A NAME="getNodePath(org.dom4j.Node, boolean)"><!-- --></A><H3>
getNodePath</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.235"><B>getNodePath</B></A>(org.dom4j.Node&nbsp;node,
                                 boolean&nbsp;recurseParents)</PRE>
<DL>
<DD>Returns an xpath like string for the given xml node
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>node</CODE> - the node to convert to a string<DD><CODE>recurseParents</CODE> - true if parents should be included
<DT><B>Returns:</B><DD>an xpath like string for the given node</DL>
</DD>
</DL>
<HR>

<A NAME="getElementPath(org.dom4j.Element, boolean)"><!-- --></A><H3>
getElementPath</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlUtil.html#line.255"><B>getElementPath</B></A>(org.dom4j.Element&nbsp;elem,
                                    boolean&nbsp;recurseParents)</PRE>
<DL>
<DD>Returns an xpath like string for the given xml element
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elem</CODE> - the element to convert to a string<DD><CODE>recurseParents</CODE> - true if parents should be included
<DT><B>Returns:</B><DD>an xpath like string for the given element</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlUtil.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlUtil.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlUtil.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
